<?php
if (!isset($_SESSION))
{
	session_start();
}
require_once ('header.php');
echo "<h1>Forum</h1>";
if ($aangemeld == "ja")
{
	$datum = date("d.m.Y H:i");
	$posts_nu = halen("SELECT posts FROM members WHERE naam='".$_SESSION['naam']."'");
	$posts_nu++;
	$ideeke = $_GET['id'];
	mysql_query("UPDATE members SET posts = '".$posts_nu."' WHERE naam='".$_SESSION['naam']."';");
	$_SESSION['member_posts'] = $posts_nu;
	if (($_POST['script1'] != "") && ($_POST['script1'] != " "))
	{
		mysql_query("INSERT INTO replys SET naam='".$_SESSION['naam']."', bericht='".$_POST['script1']."', datum='".$datum."', tid='".$_GET['id']."'");
		mysql_query("UPDATE topics SET actief = '$datum' WHERE id='$ideeke';");
		$naam_topic = halen("SELECT titel FROM topics WHERE id='".$_GET['id']."'");
    	action("post een bericht in het topic '".$naam_topic."'");
   		echo "Even geduld a.u.b...";
		echo "<meta http-equiv=\"refresh\" content=\"1;url=replys.php?id=".$_GET['id']."\">";
	}
	else
	{
		echo "<b>Je bent je bericht vergeten in te vullen!<br><br><a href='replys.php?id=".$ideeke."'>Klik hier</a> om terug te gaan naar het topic.</b>";
	}
}
else
{
	echo "Oeps! Hiervoor moet je aangemeld zijn!";
}
require_once ('footer.php');
?>